You are not logged in.

#1 2024-05-20 01:45:41

dralee
Member
Registered: 2024-03-14
Posts: 4

[Solved] upgrade the system failure, lib32-icu version by lib32-raptor

upgrade the system failure, lib32-icu version required by lib32-raptor

I just upgrade the system, found a lib32-icu version dependence problem:
sudo pacman -Syyu
:: Synchronizing package databases...
core                                                                                                                              121.6 KiB   401 KiB/s 00:00 [##################################################################################################] 100%
extra                                                                                                                               7.8 MiB  11.0 MiB/s 00:01 [##################################################################################################] 100%
multilib                                                                                                                          138.8 KiB  3.08 MiB/s 00:00 [##################################################################################################] 100%
archlinuxcn                                                                                                                         2.2 MiB  7.35 MiB/s 00:00 [##################################################################################################] 100%
:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...
error: failed to prepare transaction (could not satisfy dependencies)
:: installing lib32-icu (75.1-1) breaks dependency 'libicuuc.so=74-32' required by lib32-raptor

the debug infomation:
....
debug: checkdeps: package kdbusaddons5-5.116.0-1
debug: checkdeps: package ktextwidgets5-5.116.0-1
debug: checkdeps: package kcompletion5-5.116.0-1
debug: checkdeps: package sonnet5-5.116.0-1
debug: checkdeps: package kded5-5.116.0-1
debug: checkdeps: package kcrash5-5.116.0-1
debug: checkdeps: package kpackage5-5.116.0-1
debug: checkdeps: package kdeplasma-addons-6.0.4-2
debug: checkdeps: package plasma-workspace-6.0.4-2
debug: checkdeps: package libqalculate-5.1.1-2
debug: checkdeps: package libxml2-2.12.7-1
debug: checkdeps: package qt6-5compat-6.7.0-2
debug: checkdeps: package qt6-base-6.7.0-7
debug: checkdeps: package xorg-xwayland-24.1.0-1
debug: checkdeps: package kitemmodels5-5.116.0-1
debug: checkdeps: package knewstuff5-5.116.0-1
debug: checkdeps: package syndication5-5.116.0-1
debug: checkdeps: package knotifyconfig5-5.116.0-1
debug: checkdeps: package konsole-24.02.2-2
debug: checkdeps: package kparts5-5.116.0-1
debug: checkdeps: package ktexteditor5-5.116.0-1
debug: checkdeps: package syntax-highlighting5-5.116.0-1
debug: checkdeps: package lib32-gtk3-1:3.24.42-1
debug: checkdeps: package lib32-harfbuzz-8.5.0-1
debug: checkdeps: package lib32-icu-75.1-1
debug: checkdeps: package lib32-libxml2-2.12.7-1
debug: checkdeps: package libwbclient-4.20.1-2
debug: checkdeps: package nftables-1:1.0.9-3
debug: checkdeps: package nodejs-lts-hydrogen-18.20.2-3
debug: checkdeps: package plasma-desktop-6.0.4-2
debug: checkdeps: package python-packaging-24.0-1
debug: checkdeps: package qt5-location-5.15.13+kde+r7-1
debug: checkdeps: package qt5-webengine-5.15.16-8
debug: checkdeps: package qt6-webengine-6.7.0-2
debug: checkdeps: package raptor-2.0.16-5
debug: checkdeps: package smbclient-4.20.1-2
debug: checkdeps: package threadweaver5-5.116.0-1
debug: checkdeps: package tracker3-3.7.3-2
debug: checkdeps: package unarchiver-1.10.8-2
debug: checkdeps: package vte-common-0.76.1-2
debug: checkdeps: package vte3-0.76.1-2
debug: checkdeps: package webkit2gtk-2.44.2-1
debug: checkdeps: transaction would break 'libicuuc.so=74-32' dependency of 'lib32-raptor'
error: failed to prepare transaction (could not satisfy dependencies)
debug: unregistering database 'local'
debug: freeing package cache for repository 'local'
debug: unregistering database 'core'
debug: freeing package cache for repository 'core'
debug: unregistering database 'extra'
debug: freeing package cache for repository 'extra'
debug: unregistering database 'multilib'
debug: freeing package cache for repository 'multilib'
debug: unregistering database 'archlinuxcn'
debug: freeing package cache for repository 'archlinuxcn'

Last edited by dralee (2024-05-21 07:09:27)

Offline

#2 2024-05-20 02:08:24

Scimmia
Fellow
Registered: 2012-09-01
Posts: 11,722

Re: [Solved] upgrade the system failure, lib32-icu version by lib32-raptor

lib32-raptor is an AUR package. It's your responsibility to rebuild it when it needs to be.

Offline

#3 2024-05-20 02:10:24

mpan
Member
Registered: 2012-08-01
Posts: 1,230
Website

Re: [Solved] upgrade the system failure, lib32-icu version by lib32-raptor

It seems lib32-raptor is from archlinuxcn repository. So it’s up to them to rebuild it.


Sometimes I seem a bit harsh — don’t get offended too easily!

Offline

#4 2024-05-20 02:27:29

dralee
Member
Registered: 2024-03-14
Posts: 4

Re: [Solved] upgrade the system failure, lib32-icu version by lib32-raptor

Thanks, I go for help

Offline

#5 2024-05-20 02:29:09

dralee
Member
Registered: 2024-03-14
Posts: 4

Re: [Solved] upgrade the system failure, lib32-icu version by lib32-raptor

mpan wrote:

It seems lib32-raptor is from archlinuxcn repository. So it’s up to them to rebuild it.

Thanks, I go for help

Offline

#6 2024-05-20 08:06:01

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 12,053
Website

Re: [Solved] upgrade the system failure, lib32-icu version by lib32-raptor

Mod note: moving to AUR Issues


Sakura:-
Mobo: MSI MAG X570S TORPEDO MAX // Processor: AMD Ryzen 9 5950X @4.9GHz // GFX: AMD Radeon RX 5700 XT // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 6x 1TB SSD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

#7 2024-05-20 09:17:14

dralee
Member
Registered: 2024-03-14
Posts: 4

Re: [Solved] upgrade the system failure, lib32-icu version by lib32-raptor

the question was fixed by: https://github.com/archlinuxcn/repo/issues/3827, system upgrade is ok now

Offline

#8 2024-05-20 10:18:30

Lone_Wolf
Forum Moderator
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 12,205

Re: [Solved] upgrade the system failure, lib32-icu version by lib32-raptor

Please prepend [Solved} to the title (edit first post) .

There's a character limit for titles, you may have to shorten it.


Disliking systemd intensely, but not satisfied with alternatives so focusing on taming systemd.


(A works at time B)  && (time C > time B ) ≠  (A works at time C)

Offline

Board footer

Powered by FluxBB